Bug 3933 - Memory leak in globus_gsi_cred_verify_cert_chain()
: Memory leak in globus_gsi_cred_verify_cert_chain()
Status: RESOLVED FIXED
: GSI C
Credentials and Proxies
: 4.0.1
: PC Linux
: P3 critical
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-11-23 07:39 by
Modified: 2008-08-11 15:00 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-11-23 07:39:12
There is a memory leak in a function globus_gsi_cred_verify_cert_chain().
Pointer stored in variable cert_dir is not freed. Possible patch below:
---
gt4.0.1-all-source-installer/source-trees/gsi/credential/source/library/globus_gsi_cred_handle.c.orig
      Wed Nov 23 14:22:54 2005
+++
gt4.0.1-all-source-installer/source-trees/gsi/credential/source/library/globus_gsi_cred_handle.c
   Wed Nov 23 14:23:29 2005
@@ -1679,6 +1679,11 @@
         X509_STORE_CTX_free(store_context);
     }
 
+    if(cert_dir)
+    {
+        free(cert_dir);
+    }
+
     GLOBUS_I_GSI_CRED_DEBUG_EXIT;
     return result;
 }
------- Comment #1 From 2006-02-27 11:20:56 -------
Fix committed to trunk and 4_0 branch